Uploaded image for project: 'Puppet'
  1. Puppet
  2. PUP-9579

device application is broken in 6.4

    XMLWordPrintable

    Details

    • Template:
    • Team:
      Coremunity
    • Sprint:
      Platform Core KANBAN
    • Release Notes:
      Bug Fix
    • Release Notes Summary:
      Hide
      There was a regression in 6.4.0 which prevented the device application from being able to manage network devices.

      Note: because the user-facing effect is in 6.4.0 and not 6.0.x, I'm only adding a release note in 6.4.1. -Jean
      Show
      There was a regression in 6.4.0 which prevented the device application from being able to manage network devices. Note: because the user-facing effect is in 6.4.0 and not 6.0.x, I'm only adding a release note in 6.4.1. -Jean
    • QA Risk Assessment:
      Needs Assessment

      Description

      The device application doesn't work if it attempts to download a catalog. The result is similar to FM-7876, but the cause is different.

      $ bx puppet device --deviceconfig device.conf -v -w 4 --server puppet.delivery.puppetlabs.net
      Info: Retrieving pluginfacts
      Info: Retrieving plugin
      Info: Retrieving locales
      Info: starting applying configuration to nexus1 at file:///Users/josh/work/puppet/nexus1.conf
      Error: unknown keyword: certname
      

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              david.schmitt David Schmitt
              Reporter:
              josh Josh Cooper
              Votes:
              0 Vote for this issue
              Watchers:
              4 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:

                  Zendesk Support